import clr
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')
 
from Soti.IoT.SemanticEngine.Conversions import Converter
 
print("Loading PrinterSimulatorWlanNetworkMode Converter")
 
class PrinterSimulatorWlanNetworkMode(Converter):
	def Execute(self, myList=[], *args):
		res = ""
		if myList[0] == "Auto":
			res = "DHCP"
		elif myList[0] == "Static":
			res = "Static"
		return res
 
 
 
plugin = PrinterSimulatorWlanNetworkMode("PrinterSimulatorWlanNetworkMode")
 
store.AddConverter(plugin)